aboutsummaryrefslogtreecommitdiff
path: root/git-sh-setup.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-02-12 13:13:12 -0800
committerJunio C Hamano <junkio@cox.net>2006-02-12 13:13:33 -0800
commit4bbdfab766782dc06ac496730e3a578bd35d67c5 (patch)
tree6c2c00e3079fbee0492b9591065a598f6632d20b /git-sh-setup.sh
parentc5e09c1fbec5dc1c15bcfe21e1a600f9e4b4e419 (diff)
downloadgit-4bbdfab766782dc06ac496730e3a578bd35d67c5.tar.gz
git-4bbdfab766782dc06ac496730e3a578bd35d67c5.tar.xz
Fix "test: unexpected operator" on bsd
This fixes the same issue as a previous fix by Alex Riesen does. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-sh-setup.sh')
-rwxr-xr-xgit-sh-setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/git-sh-setup.sh b/git-sh-setup.sh
index 157c7e4d6..025ef2d5f 100755
--- a/git-sh-setup.sh
+++ b/git-sh-setup.sh
@@ -42,7 +42,7 @@ then
# Make sure we are in a valid repository of a vintage we understand.
GIT_DIR="$GIT_DIR" git repo-config --get core.nosuch >/dev/null
- if test $? == 128
+ if test $? = 128
then
exit
fi